import request2 from '@/utils/request2'

// 巡查任务事项日程列表
export const inspectionItemPlan = data => request2({
  url: '/api-web/inspectionItemPlan/queryPage',
  params: data,
  method: 'get',
})

// 获取日程的巡查结果
export const getPlanConclusion = data => request2({
  url: '/api-web/inspectionItemPlanConclusion/getPlanConclusion',
  params: data,
  method: 'get',
})

// 修改巡查任务事项日程
export const inspectionItemPlanUpdate = data => request2({
    url: '/api-web/inspectionItemPlan/update',
    method: 'post',
    requestType: 'form',
    data,
})

// 修改巡查任务事项日程
export const updateMemo = data => request2({
    url: '/api-web/inspectionItemPlan/updateMemo',
    method: 'post',
    requestType: 'form',
    data,
})
